BlendFi
Referência da APITransações

List transactions (cursor-paginated)

GET
/v1/transactions
AuthorizationBearer <token>

Paste your BlendFi API key. Sandbox keys start with sk_test_. The Bearer prefix is added automatically.

In: header

Query Parameters

limit?integer
Default50
Range1 <= value <= 100
cursor?string
user_id?string
Formatuuid
status?string
Value in"pending_payment" | "payment_received" | "buying_crypto" | "sending_crypto" | "completed" | "failed" | "refunded" | "cancelled" | "expired"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.sandbox.blendfi.com.br/v1/transactions"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
      "quote_id": "3c071a1d-db86-46a7-9dc8-72ba3fbca992",
      "type": "pix_onramp",
      "status": "pending_payment",
      "source_amount": "string",
      "source_currency": "string",
      "target_amount": "string",
      "target_currency": "string",
      "exchange_rate": "string",
      "pix_qr_code": "string",
      "pix_tx_id": "string",
      "pix_paid_at": "2019-08-24T14:15:22Z",
      "destination_wallet_address": "string",
      "destination_wallet_network": "polygon",
      "usdt_tx_hash": "string",
      "usdt_sent_at": "2019-08-24T14:15:22Z",
      "failure_reason": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "completed_at": "2019-08-24T14:15:22Z"
    }
  ],
  "next_cursor": "string"
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}